<form [formGroup]="registrationForm" (ngSubmit)="submit()">
    <div class="card">
        <div class="card-header">Registration Form Title</div>
        <div class="card-body">
            <div class="row">
                <div class="col-10 offset-1">
                    <fieldset>
                        <legend>User details</legend>
                        <div class="form-group row">
                            <label for="title" class="col-sm-4">Title</label>
                            <div class="col-sm-8">
                                <select class="form-control" id="title" formControlName="title"
                                [class.is-invalid]="getControl('title')?.invalid" data-testid="title">
                                    <option>Ms.</option>
                                    <option>Mrs.</option>
                                    <option>Mr.</option>
                                  </select>
                            </div>
                          </div>
                        <div class="form-group mt-2 row">
                            <label for="surname" class="col-sm-4">Surname</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="surname" formControlName="surname" 
                                [class.is-invalid]="getControl('surname')?.invalid" data-testid="surname">
                            </div>
                        </div>
                        <div class="form-group mt-2 row">
                            <label for="name" class="col-sm-4">Name</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="name" formControlName="name" 
                                [class.is-invalid]="getControl('name')?.invalid"  data-testid="name">
                            </div>
                        </div>
                        <div class="form-group mt-2 row">
                            <label for="date-of-birth" class="col-sm-4">Date of birth</label>
                            <div class="col-sm-8">
                                <input type="date" class="form-control" id="date-of-birth" formControlName="dateOfBirth" 
                                [class.is-invalid]="getControl('dateOfBirth')?.invalid" data-testid="date-of-birth">
                            </div>
                        </div>
                        <div class="form-group mt-2 row">
                            <label class="col-sm-4">Gender</label>
                            <div class="col-sm-8">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" id="female" value="female" 
                                    formControlName="gender" data-testid="gender-female">
                                    <label class="form-check-label" for="female">Female</label>
                                  </div>
                                  <div class="form-check  form-check-inline">
                                    <input class="form-check-input" type="radio" id="male" value="male" 
                                    formControlName="gender" data-testid="gender-male">
                                    <label class="form-check-label" for="male">Male</label>
                                </div>
                            </div>
                        </div>
                    </fieldset>
                    <fieldset>
                        <legend>User contact</legend>
                        <div class="form-group row">
                            <label for="phone" class="col-sm-4">Mobile phone</label>
                            <div class="col-sm-8">
                                <input type="number" class="form-control" id="phone" formControlName="mobilePhone" 
                                data-testid="phone">
                            </div>
                        </div>
                        <div class="form-group mt-2 row">
                            <label for="email" class="col-sm-4">Email</label>
                            <div class="col-sm-8">
                                <input type="email" class="form-control" id="email" formControlName="email" 
                                data-testid="email">
                            </div>        
                        </div>
                        <div class="form-group mt-2 row">
                            <label for="address" class="col-sm-4">Address</label>
                            <div class="col-sm-8">
                                <textarea class="form-control" name="address" id="address" rows="2" 
                                formControlName="address" data-testid="address"></textarea>
                            </div>
                        </div>
                    </fieldset>
                    <fieldset>
                        <legend>Interests</legend>
                        <div class="form-group mt-2 row">
                            <label class="col-sm-4">Courses</label>
                            <div class="col-sm-8" formArrayName="courses">
                                <ng-container *ngFor="let course of coursesFormGroups?.controls;let i = index">
                                    <div class="form-check form-check-inline" [formGroupName]="i">
                                        <input class="form-check-input" type="checkbox" [id]="'course-'+course.get('id').value"  
                                        formControlName="checked">
                                        <label class="form-check-label" [for]="'course-'+course.get('id').value" 
                                        [id]="'course-label-'+course.get('id').value">{{course.get('name').value}}</label>
                                    </div>
                                </ng-container>
                            </div>
                        </div>
                    </fieldset>    
                </div>
            </div>
        </div>
        <div class="card-footer text-muted">
            <button type="submit" class="btn btn-primary" [disabled]="registrationForm.invalid" id="submit-form"
            data-testid="submit-button">Submit</button>
        </div>
    </div>
</form>